Author Topic: can't install code blocks on backtrack5  (Read 4138 times)

YSY

  • Guest
can't install code blocks on backtrack5
« on: August 09, 2011, 04:40:46 pm »
Hi,

I'm getting errors while installing the deb file, I've installed everything needed to support the installation of code blocks (this and that)

back track 5 is based on Ubuntu Lucid.

[email protected]:~# dpkg -i i386/codeblocks_10.05-1_i386.deb
Selecting previously deselected package codeblocks.
(Reading database ... 215056 files and directories currently installed.)
Unpacking codeblocks (from .../codeblocks_10.05-1_i386.deb) ...
dpkg: dependency problems prevent configuration of codeblocks:
 codeblocks depends on libcodeblocks0 (= 10.05-1); however:
  Package libcodeblocks0 is not installed.
 codeblocks depends on codeblocks-common (= 10.05-1); however:
  Package codeblocks-common is not installed.
dpkg: error processing codeblocks (--install):
 dependency problems - leaving unconfigured
Processing triggers for menu ...
Errors were encountered while processing:
 codeblocks
[email protected]:~# codeblocks
codeblocks: error while loading shared libraries: libcodeblocks.so.0: cannot open shared object file: No such file or directory

what should I do? I think is has something to do with wxwidgets(?)

Thanks.


Online oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 13165
    • Travis build status
Re: can't install code blocks on backtrack5
« Reply #1 on: August 09, 2011, 05:33:54 pm »
Hm, have you read the text you've pasted?
It pretty match describes the solution to your problem. Install libcodeblocks0.deb and codeblocks-common.deb before codeblocks.deb.
Or use one command to install them in one go. I think this was supported by dpkg, but I may be wrong (of course, not a deb/ubuntu user).

p.s. Please next time use code tags for pasted text. It makes posts way more readable.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7255
Re: can't install code blocks on backtrack5
« Reply #2 on: August 09, 2011, 08:48:18 pm »
Or use one command to install them in one go. I think this was supported by dpkg, but I may be wrong (of course, not a deb/ubuntu user).
You are right !

dpkg -i [all the packages seperated by spaces]

To use a more recent nightly build, you can try my repo: http://apt.jenslody.de/
It works for debian (of course) and also for ubuntu, so it will most likely work for back track also.